Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRectilinearGridSource Class Reference

`#include <vtkRectilinearGridSource.h>`

Inheritance diagram for vtkRectilinearGridSource:

[legend]
Collaboration diagram for vtkRectilinearGridSource:

[legend]
List of all members.

## Detailed Description

Abstract class whose subclasses generates rectilinear grid data.

Date:
  2002/10/04 20:43:44

Revision:
  1.22

vtkRectilinearGridSource is an abstract class whose subclasses generate rectilinear grid data.

See also:
  vtkRectilinearGridReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (59%)
  - Cedilnik, Andy (17%)
  - Martin, Ken (13%)
  - Biddiscombe, John (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkRectilinearGridSource.cxx)`
  - .`h` (`/Filtering/vtkRectilinearGridSource.h)`

Definition at line 49 of file vtkRectilinearGridSource.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkRectilinearGrid * | GetOutput ()
vtkRectilinearGrid * | GetOutput (int idx)
void | SetOutput (vtkRectilinearGrid *output)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkRectilinearGridSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRectilinearGridSource ()
| ~vtkRectilinearGridSource ()

## Member Typedef Documentation

typedef vtkSource vtkRectilinearGridSource::Superclass

| Reimplemented from vtkSource. Reimplemented in vtkExtractRectilinearGrid. Definition at line 52 of file vtkRectilinearGridSource.h.

## Constructor & Destructor Documentation

vtkRectilinearGridSource::vtkRectilinearGridSource | ( |  | ) | `[protected]`

vtkRectilinearGridSource::~vtkRectilinearGridSource | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkRectilinearGridSource.h.

## Member Function Documentation

virtual const char* vtkRectilinearGridSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkExtractRectilinearGrid.

int vtkRectilinearGridSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkExtractRectilinearGrid.

virtual int vtkRectilinearGridSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkExtractRectilinearGrid.

vtkRectilinearGridSource* vtkRectilinearGridSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource. Reimplemented in vtkExtractRectilinearGrid.

void vtkRectilinearGridSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource. Reimplemented in vtkExtractRectilinearGrid.

vtkRectilinearGrid* vtkRectilinearGridSource::GetOutput | ( |  | ) |

| Get the output of this source.

vtkRectilinearGrid* vtkRectilinearGridSource::GetOutput | ( | int | idx | ) |

| Get the output of this source. Reimplemented from vtkSource.

void vtkRectilinearGridSource::SetOutput | ( | vtkRectilinearGrid * | output | ) |

| Get the output of this source.

The documentation for this class was generated from the following file:

- Filtering/vtkRectilinearGridSource.h